/*
   Class Name:

      CSkyDome.

   Created by:

      Allen Sherrod (Programming Ace of www.UltimateGameProgramming.com).

   Description:

      This class represents a sky dome to be rendered over a 3d scene.
*/


#ifndef SKY_DOME_H
#define SKY_DOME_H

#include<stdio.h>
#include<math.h>


class CSkyDome
{
   public:
      CSkyDome();
      ~CSkyDome();

      bool Initialize(float theta, float phi, float radius);
      void ShutDown();

      void Normalize(float vecUV[]);
      void ComputeTextureCoord(int tu, int tv, float vec[]);

      float *vertices;     // Points of the dome.
      float *texCoords;    // Tex coords for every point.
      int numPoints;       // Number of points used by the done.
};

#endif


// Copyright October 2004
// All Rights Reserved!
// Allen Sherrod
// ProgrammingAce@UltimateGameProgramming.com
// www.UltimateGameProgramming.com